List External Values
Retrieve external source schema for a given form layout schema
Retrieve external source schema for a given form layout schema
Request
URI
POST
https://{api_host}/blueprint/api/blueprints/form/external-value/list
COPY
Request Body
FormLayoutSchema
of type(s)
application/json
Required
{
"layout": {
"pages": [
{
"id": "string",
"sections": [
{
"fields": [
{
"display": "string",
"id": "string",
"nestedFields": [
{
"display": "string",
"id": "string",
"signpostPosition": "string",
"size": 0,
"state": {
"readonlyState": {
"read-only": {}
},
"states": {
"states": {}
},
"visibilityState": {
"visible": {}
}
},
"styles": "string",
"submit": false
}
],
"signpostPosition": "string",
"size": 0,
"state": {
"readonlyState": {
"read-only": {}
},
"states": {
"states": {}
},
"visibilityState": {
"visible": {}
}
},
"styles": "string",
"submit": false
}
],
"id": "string",
"state": {
"readonlyState": {
"read-only": {}
},
"states": {
"states": {}
},
"visibilityState": {
"visible": {}
}
}
}
],
"state": {
"readonlyState": {
"read-only": {}
},
"states": {
"states": {}
},
"visibilityState": {
"visible": {}
}
},
"title": "string"
}
]
},
"messages": [
{
"fieldId": "string",
"message": "string",
"severity": "string",
"validationType": "string"
}
],
"options": {
"externalValidations": [
{
"label": "string",
"source": {
"externalSourceProviderType": "string",
"id": "string",
"isPageable": false,
"parameters": [
{
"$type": {
"dataType": "string",
"fields": [
{
"constraints": {
"constraints": {
"constraints": {}
},
"matchConstraint": {
"match": {}
}
},
"default": {},
"description": "string",
"id": "string",
"label": "string",
"placeholder": "string",
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"signpost": "string",
"step": "number",
"type": "FormSchemaFieldType Object",
"valueList": {},
"valueTree": {}
}
],
"isMultiple": false,
"referenceType": "string"
},
"parameterMap": {
"parameterMap": {}
}
}
],
"type": "string"
},
"target": [
"string"
]
}
]
},
"schema": {
"fields": {
"fields": {
"constraints": {
"constraints": {
"constraints": {}
},
"matchConstraint": {
"match": {}
}
},
"default": {},
"description": "string",
"label": "string",
"placeholder": "string",
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"signpost": "string",
"step": "number",
"type": {
"dataType": "string",
"fields": [
"ComplexTypeField Object"
],
"isMultiple": false,
"referenceType": "string"
},
"valueList": {},
"valueTree": {}
}
}
}
}
object
layout
Optional
layout
array of
object
messages
Optional
messages
object
options
Optional
options
object
schema
Optional
schema
Responses
200
'Success' with list of external values
Returns
ExternalSourceSchemaResponse
of type(s)
application/json
{
"externalSourceFormSchemas": [
{
"elementId": "string",
"elementType": "string",
"externalSourceId": "string",
"facet": "string",
"parameters": [
{
"isValidatable": false,
"name": "string",
"validatable": false
}
],
"parentId": "string"
}
]
}
array of
object
externalSourceFormSchemas
Optional
externalSourceFormSchemas
400
'Bad Request' if the form layout schema body is not in specified format
Returns
ExternalSourceSchemaResponse
of type(s)
application/json
{
"externalSourceFormSchemas": [
{
"elementId": "string",
"elementType": "string",
"externalSourceId": "string",
"facet": "string",
"parameters": [
{
"isValidatable": false,
"name": "string",
"validatable": false
}
],
"parentId": "string"
}
]
}
array of
object
externalSourceFormSchemas
Optional
externalSourceFormSchemas
403
'Forbidden' no blueprint manage access rights
Returns
ExternalSourceSchemaResponse
of type(s)
application/json
"ExternalSourceSchemaResponse Object"
array of
object
externalSourceFormSchemas
Optional
externalSourceFormSchemas
404
Not Found
Returns
ExternalSourceSchemaResponse
of type(s)
application/json
"ExternalSourceSchemaResponse Object"
array of
object
externalSourceFormSchemas
Optional
externalSourceFormSchemas
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/blueprint/api/blueprints/form/external-value/list